Package org.drinkless.tdlib

# Class TdApi.PremiumFeaturePromotionAnimation

java.lang.Object
org.drinkless.tdlib.TdApi.Object
org.drinkless.tdlib.TdApi.PremiumFeaturePromotionAnimation

Enclosing class:
  `TdApi`

public static class TdApi.PremiumFeaturePromotionAnimation extends TdApi.Object
Describes a promotion animation for a Premium feature.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `TdApi.Animation`
  `animation`
  Promotion animation for the feature.
  `static final int`
  `CONSTRUCTOR`
  Identifier uniquely determining type of the object.
  `TdApi.PremiumFeature`
  `feature`
  Premium feature.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `PremiumFeaturePromotionAnimation()`
  Describes a promotion animation for a Premium feature.
  `PremiumFeaturePromotionAnimation(TdApi.PremiumFeature feature, TdApi.Animation animation)`
  Describes a promotion animation for a Premium feature.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `int`
  `getConstructor()`
  Returns an identifier uniquely determining type of the object.

  ### Methods inherited from class org.drinkless.tdlib.TdApi.Object

  `toString`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Field Details

  - ### feature

    public TdApi.PremiumFeature feature
    Premium feature.

  - ### animation

    public TdApi.Animation animation
    Promotion animation for the feature.

  - ### CONSTRUCTOR

    public static final int CONSTRUCTOR
    Identifier uniquely determining type of the object.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### PremiumFeaturePromotionAnimation

    public PremiumFeaturePromotionAnimation()
    Describes a promotion animation for a Premium feature.

  - ### PremiumFeaturePromotionAnimation

    public PremiumFeaturePromotionAnimation(TdApi.PremiumFeature feature, TdApi.Animation animation)
    Describes a promotion animation for a Premium feature.
    Parameters:
      `feature` - Premium feature.
      `animation` - Promotion animation for the feature.

- ## Method Details

  - ### getConstructor

    public int getConstructor()
    Description copied from class: `TdApi.Object`
    Returns an identifier uniquely determining type of the object.
    Specified by:
      `getConstructor` in class `TdApi.Object`
    Returns:
      this.CONSTRUCTOR